Download a file a chat saved in its workspace
curl --request GET \
--url https://api.itoflow.ai/chat-runtime/chats/{chatId}/downloads/workspace/{relativePath} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/chat-runtime/chats/{chatId}/downloads/workspace/{relativePath}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/chat-runtime/chats/{chatId}/downloads/workspace/{relativePath}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<string>"{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Chat
Download a file a chat saved in its workspace
Downloads one file a chat saved in its workspace, such as a report, chart or CSV file. List the chat’s workspace first to find the file’s path.
Operation ID: downloadChatWorkspaceFile.
GET
https://api.itoflow.ai
/
chat-runtime
/
chats
/
{chatId}
/
downloads
/
workspace
/
{relativePath}
Download a file a chat saved in its workspace
curl --request GET \
--url https://api.itoflow.ai/chat-runtime/chats/{chatId}/downloads/workspace/{relativePath} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/chat-runtime/chats/{chatId}/downloads/workspace/{relativePath}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/chat-runtime/chats/{chatId}/downloads/workspace/{relativePath}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<string>"{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}